Archived

This topic is now archived and is closed to further replies.

greeneg

Unable to install FSX SP2

Recommended Posts

Help AVSIM continue to serve you!
Please donate today!

Well, DX10 is only available with Vista. But SP2 should install provided you have installed SP1.Cheers,Noel.

Share this post


Link to post
Share on other sites

Not sure how the installation order goes, but have you tried installing SP1, then SP2?

Share this post


Link to post
Share on other sites